List BYO SIP trunks
curl --request GET \
--url https://apiv2.vodex.ai/v1/sip-trunks \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiv2.vodex.ai/v1/sip-trunks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiv2.vodex.ai/v1/sip-trunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "trunk-1a2b3c4d",
"name": "<string>",
"inbound": {
"allowedIps": [
"<string>"
],
"authUsername": "<string>"
},
"outbound": {
"host": "<string>",
"port": 123,
"transport": "udp",
"authUsername": "<string>"
},
"declaredNumbers": [
"<string>"
],
"livekitInboundId": "<string>",
"livekitOutboundId": "<string>",
"cellId": "<string>",
"sipUri": "sip:sip.example:5060"
}
]{
"error": "not found"
}SIP Trunks
List BYO SIP trunks
Credentials are never echoed — only the username and the SIP URI to point a PBX at.
GET
/
sip-trunks
List BYO SIP trunks
Authorizations
Tenant API key (vdx_live_…) as Authorization: Bearer.
Response
Trunks.